Subject: at a Cambridge checkout counter

From: [email-masked]
Date: 16 Jun 89 10:30:04 GMT

(I heard this from an MIT grad, who says it's a classic).

A student pushes a loaded shopping cart up to the express checkout
lane at a Cambridge grocery store.  The cashier looks at the cart,
looks at the student, looks at the "EXPRESS -- EIGHT ITEMS OR LESS"
sign, and says to the student, "Are you from Harvard, where they
don't know how to count?  Or MIT, where they don't know how to read?"

--
Edited by Brad Templeton.  MAIL, yes MAIL your jokes to [email-masked]
Attribute the joke's source if at all possible.  I will reply, mailers willing.

Remember: PLEASE spell check and proofread your jokes.